﻿@page
@model LoginModel

@{
    ViewData["Title"] = "Log in";
}

<h1 class="text-center mt-3">Login</h1>
<hr class="mt-3 hr-2 bg-eventures w-50" />
<form method="post" class="w-25 mx-auto">
    <div asp-validation-summary="ModelOnly" class="text-danger"></div>
    <div class="form-group">
        <div class="d-flex justify-content-center">
            <label asp-for="Input.UserName" class="font-weight-bold text-center">   </label>
        </div>
        <input asp-for="Input.UserName" class="form-control" type="text" placeholder="Username..." />
        <span asp-validation-for="Input.UserName" class="text-danger"></span>
    </div>
    <div class="form-group">
        <div class="d-flex justify-content-center">
            <label asp-for="Input.Password" class="font-weight-bold text-center">   </label>
        </div>
        <input asp-for="Input.Password" class="form-control" type="password" placeholder="Password..." />
        <span asp-validation-for="Input.Password" class="text-danger"></span>
    </div>
    <hr class="mt-3 hr-2 bg-eventures" />
    <div class="form-group">
        <div class="checkbox d-flex justify-content-center">
            <label asp-for="Input.RememberMe">
                <input asp-for="Input.RememberMe" />
                @Html.DisplayNameFor(m => m.Input.RememberMe)
            </label>
        </div>
    </div>
    <hr class="mt-3 hr-2 bg-eventures" />
    <div class="d-flex justify-content-center">
        <button type="submit" class="btn bg-eventures">Login</button>
    </div>
    <div id="navigation-links" class="d-flex justify-content-center mt-3">
        <div class="d-flex flex-column">
            <a href="#">Forgot your password?</a>
            <a class="mt-3" href="/Identity/Account/Register">Register a new user</a>
        </div>
    </div>
</form>


@section Scripts {
    <partial name="_ValidationScriptsPartial" />
}
